ScXMLDataObj(3)

NAME
ScXMLDataObj - base class for evaluator data objects in the SCXML data module

SYNOPSIS

#include <Inventor/scxml/ScXMLEvaluator.h>

Inherits ScXMLObject.

Inherited by ScXMLConstantDataObj, ScXMLExprDataObj, and ScXMLXMLDataObj.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
void setContainer (ScXMLObject *container)
ScXMLObject * getContainer (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

base class for evaluator data objects in the SCXML data module

Since
    Coin 3.1

Member Function Documentation

  virtual SoType ScXMLDataObj::getTypeId (void) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLObject.

Implemented in ScXMLCoinEqualsOpExprDataObj, ScXMLCoinAddOpExprDataObj, ScXMLCoinSubtractOpExprDataObj, ScXMLCoinMultiplyOpExprDataObj, ScXMLCoinDivideOpExprDataObj, ScXMLCoinLengthFuncExprDataObj, ScXMLStringDataObj, ScXMLRealDataObj, ScXMLBoolDataObj, ScXMLSbDataObj, ScXMLXMLDataObj, ScXMLReferenceDataObj, ScXMLAndOpExprDataObj, ScXMLOrOpExprDataObj, ScXMLNotOpExprDataObj, ScXMLEqualsOpExprDataObj, ScXMLAddOpExprDataObj, ScXMLSubtractOpExprDataObj, ScXMLMultiplyOpExprDataObj, ScXMLDivideOpExprDataObj, ScXMLNegateOpExprDataObj, ScXMLInExprDataObj, ScXMLAppendOpExprDataObj, ScXMLConstantDataObj, ScXMLExprDataObj, and ScXMLMinimumExprDataObj.

Author

Generated automatically by Doxygen for Coin from the source code.